export type JoinedInternalEvents = {
    crews: {
        name: string;
        values: {
            day: number;
            pos: number;
        }[];
        valuesSplit: {
            blades: boolean;
            day: number;
            name: string;
            spoons: boolean;
            values: {
                day: number;
                pos: number;
            }[];
        }[];
    }[];
    divisions: {
        divisions: {
            size: number;
            start: number;
        }[];
        year: number;
        startDay: number;
        numDays: number;
    }[];
    set: Set;
    gender: Gender;
    endYear: number;
    maxCrews: number;
    startYear: number;
};
export type InternalEvent = {
    crews: {
        name: string;
        values: {
            day: number;
            pos: number;
        }[];
        valuesSplit: {
            blades: boolean;
            day: number;
            name: string;
            spoons: boolean;
            values: {
                day: number;
                pos: number;
            }[];
        }[];
    }[];
    divisions: {
        start: number;
        size: number;
    }[];
    year: number;
};
export type Event = {
    completed: boolean[][];
    days: number;
    divisions: string[][];
    finish: string[][];
    gender: Gender;
    move: number[][][];
    result: string;
    results: string;
    set: Set;
    small: string;
    year: number;
};
export declare const Gender: {
    readonly MEN: "Men";
    readonly WOMEN: "Women";
};
export type Gender = (typeof Gender)[keyof typeof Gender];
export declare const Set: {
    readonly EIGHTS: "Summer Eights";
    readonly TORPIDS: "Torpids";
    readonly LENTS: "Lent Bumps";
    readonly MAYS: "May Bumps";
    readonly TOWN: "Town Bumps";
};
export type Set = (typeof Set)[keyof typeof Set];
